﻿@model Schedule.Application.ViewModel.FeriadosViewModel

@{
    ViewData["Title"] = "Novo";
}
<div class="container-fluid">
    <div class="row">
        <div class="col-md-4">
            <h4>Cadastrar Feriado</h4>
        </div>
    </div>
</div>

<hr />
<br />
<div class="container-fluid">
    <div class="row">
        <div class="col-md-4">
            <form asp-action="Editar">
                <div class="form-group" style="display:none" >
                    <label asp-for="DataFeriado" class="control-label"> Data Feriado</label>
                    <input asp-for="DataFeriado"  class="form-control" id="dataFeriado" />
                    <span asp-validation-for="DataFeriado" class="text-danger"></span>
                </div>

                <div class="form-group">
                    <label>Data Feriado</label>
                    <input type="text" autocomplete="off" id="dataInicial" name="dataInicial" value="@Model.DataFeriado.ToString("dd/MM/yyyy")" class="form-control" />
                </div>

                <div class="form-group">
                    <label asp-for="Descricao" class="control-label">  @ScheduleResorce.RetornaValor("LabelDescricao"):</label>
                    <input asp-for="Descricao" class="form-control" placeholder="Digite a @ScheduleResorce.RetornaValor("LabelDescricao")..." required />
                    <span asp-validation-for="Descricao" class="text-danger"></span>
                </div>
                <br />
                <div asp-validation-summary="ModelOnly" class=" text-danger">
                </div>
                <br />
                <div class="form-group">
                    <a asp-action="Index" class="btn btn-danger">Voltar</a>
                    <input type="submit" value="Salvar" class="btn btn-primary" />
                </div>
            </form>

            <script>
                $("#dataInicial").datepicker()

                $("#dataInicial").on("change", function () {
                    console.log('change')

                    let data = $("#dataInicial").val()
                    data = `${data.substring(6, 10)}-${data.substring(3, 5)}-${data.substring(0, 2)}T00:00`

                    $("#dataFeriado").val(data)                    
                })
            </script>
         
        </div>
    </div>
</div>
<script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/Feriados.js")"></script>
@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
